# Get dashboard path

Gets the hierarchical path of the dashboard, showing its location within folders and workspace, if workspace-level access is provided

Endpoint: GET /sights/{sightId}/path
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Path parameters:

  - `sightId` (number, required)
    ID of the dashboard (sight) being accessed.

## Response 200 fields (application/json):

  - `id` (integer, required)
    Workspace ID.
    Example: 4509918431602564

  - `name` (string, required)
    Workspace name.
    Example: "Sample Workspace"

  - `permalink` (string, required)
    URL that represents a direct link to the workspace in Smartsheet.
    Example: "https://api.smartsheet.com/workspaces/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"

  - `accessLevel` (string, required)
    The access level of the user to the workspace.
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `body` (Sights (object) or Folders (object)) — one of:
    - Sights:
      - `sights` (array, required)
      - `sights.id` (integer, required)
        Sight ID.
        Example: 4509918431602564
      - `sights.name` (string, required)
        Sight name.
        Example: "Executive Dashboard"
      - `sights.permalink` (string, required)
        URL that represents a direct link to the sight in Smartsheet.
        Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
      - `sights.createdAt` (string, required)
        Example: "2023-01-15T12:34:56Z"
      - `sights.modifiedAt` (string, required)
        Example: "2023-02-20T08:22:33Z"
      - `sights.accessLevel` (string, required)
        The access level of the user to the dashboard.
        Enum: same as `accessLevel` (6 values)
    - Folders:
      - `folders` (array, required) — one of:
        Array of a single folder on the path from the asset to its workspace.
        - Sights:
          - `sights` (array, required)
          - `sights.id` (integer, required)
            Sight ID.
            Example: 4509918431602564
          - `sights.name` (string, required)
            Sight name.
            Example: "Executive Dashboard"
          - `sights.permalink` (string, required)
            URL that represents a direct link to the sight in Smartsheet.
            Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
          - `sights.createdAt` (string, required)
            Example: "2023-01-15T12:34:56Z"
          - `sights.modifiedAt` (string, required)
            Example: "2023-02-20T08:22:33Z"
          - `sights.accessLevel` (string, required)
            The access level of the user to the dashboard.
            Enum: same as `accessLevel` (6 values)
        - Folders:
          - `folders` (array, required) — one of:
            Array of a single folder on the path from the asset to its workspace.
            - Sights:
              - `sights` (array, required)
              - `sights.id` (integer, required)
                Sight ID.
                Example: 4509918431602564
              - `sights.name` (string, required)
                Sight name.
                Example: "Executive Dashboard"
              - `sights.permalink` (string, required)
                URL that represents a direct link to the sight in Smartsheet.
                Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
              - `sights.createdAt` (string, required)
                Example: "2023-01-15T12:34:56Z"
              - `sights.modifiedAt` (string, required)
                Example: "2023-02-20T08:22:33Z"
              - `sights.accessLevel` (string, required)
                The access level of the user to the dashboard.
                Enum: same as `accessLevel` (6 values)
            - Folders:
              - `folders` (array, required) — one of:
                Array of a single folder on the path from the asset to its workspace.
                - Sights:
                  - `sights` (array, required)
                  - `sights.id` (integer, required)
                    Sight ID.
                    Example: 4509918431602564
                  - `sights.name` (string, required)
                    Sight name.
                    Example: "Executive Dashboard"
                  - `sights.permalink` (string, required)
                    URL that represents a direct link to the sight in Smartsheet.
                    Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
                  - `sights.createdAt` (string, required)
                    Example: "2023-01-15T12:34:56Z"
                  - `sights.modifiedAt` (string, required)
                    Example: "2023-02-20T08:22:33Z"
                  - `sights.accessLevel` (string, required)
                    The access level of the user to the dashboard.
                    Enum: same as `accessLevel` (6 values)
                - Folders:
                  - `folders` (array, required) — one of:
                    Array of a single folder on the path from the asset to its workspace.
                    - Sights:
                      - `sights` (array, required)
                      - `sights.id` (integer, required)
                        Sight ID.
                        Example: 4509918431602564
                      - `sights.name` (string, required)
                        Sight name.
                        Example: "Executive Dashboard"
                      - `sights.permalink` (string, required)
                        URL that represents a direct link to the sight in Smartsheet.
                        Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
                      - `sights.createdAt` (string, required)
                        Example: "2023-01-15T12:34:56Z"
                      - `sights.modifiedAt` (string, required)
                        Example: "2023-02-20T08:22:33Z"
                      - `sights.accessLevel` (string, required)
                        The access level of the user to the dashboard.
                        Enum: same as `accessLevel` (6 values)
                    - Folders:
                      - `folders` (array, required) — one of:
                        Array of a single folder on the path from the asset to its workspace.
                        - Sights:
                          - `sights` (array, required)
                          - `sights.id` (integer, required)
                            Sight ID.
                            Example: 4509918431602564
                          - `sights.name` (string, required)
                            Sight name.
                            Example: "Executive Dashboard"
                          - `sights.permalink` (string, required)
                            URL that represents a direct link to the sight in Smartsheet.
                            Example: "https://app.smartsheet.com/dashboards/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"
                          - `sights.createdAt` (string, required)
                            Example: "2023-01-15T12:34:56Z"
                          - `sights.modifiedAt` (string, required)
                            Example: "2023-02-20T08:22:33Z"
                          - `sights.accessLevel` (string, required)
                            The access level of the user to the dashboard.
                            Enum: same as `accessLevel` (6 values)
                        - Folders:
                          - `folders` (array, required) — one of:
                            Array of a single folder on the path from the asset to its workspace.
                            - Sights:
                              - `sights` (array, required)
                            - Folders:
                              - `folders` (array, required) — one of:
                                Array of a single folder on the path from the asset to its workspace.
                                - Sights:
                                  - `sights` (array, required)
                                - Folders:
                                  - `folders` (array, required)
                                    Array of a single folder on the path from the asset to its workspace.
                          - `folders.id` (integer, required)
                            Folder ID.
                            Example: 1234567890123456
                          - `folders.name` (string, required)
                            Folder name.
                            Example: "Marketing"
                          - `folders.permalink` (string)
                            URL that represents a direct link to the folder in Smartsheet.
                            Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"
                      - `folders.id` (integer, required)
                        Folder ID.
                        Example: 1234567890123456
                      - `folders.name` (string, required)
                        Folder name.
                        Example: "Marketing"
                      - `folders.permalink` (string)
                        URL that represents a direct link to the folder in Smartsheet.
                        Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"
                  - `folders.id` (integer, required)
                    Folder ID.
                    Example: 1234567890123456
                  - `folders.name` (string, required)
                    Folder name.
                    Example: "Marketing"
                  - `folders.permalink` (string)
                    URL that represents a direct link to the folder in Smartsheet.
                    Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"
              - `folders.id` (integer, required)
                Folder ID.
                Example: 1234567890123456
              - `folders.name` (string, required)
                Folder name.
                Example: "Marketing"
              - `folders.permalink` (string)
                URL that represents a direct link to the folder in Smartsheet.
                Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"
          - `folders.id` (integer, required)
            Folder ID.
            Example: 1234567890123456
          - `folders.name` (string, required)
            Folder name.
            Example: "Marketing"
          - `folders.permalink` (string)
            URL that represents a direct link to the folder in Smartsheet.
            Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"
      - `folders.id` (integer, required)
        Folder ID.
        Example: 1234567890123456
      - `folders.name` (string, required)
        Folder name.
        Example: "Marketing"
      - `folders.permalink` (string)
        URL that represents a direct link to the folder in Smartsheet.
        Example: "https://api.smartsheet.com/folders/abcd1234efgh5678ijkl9012mnop3456"

## Response 404 fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


